=== kfile/lib/CMakeLists.txt ===
add_custom_target(kfilepm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KFile.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KFile.pm)
install(FILES KFile.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)
