=== khtml/lib/CMakeLists.txt ===
add_custom_target(khtmlpm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KHTML.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KHTML.pm)
install(FILES KHTML.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)
