=== khtml/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KHTML.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KHTML.xs ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KHTML.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KHTML.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(khtml_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c
    khtmlhandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KHTML)
add_library(perl_khtml MODULE ${khtml_LIBRARY_SRC})

target_link_libraries(perl_khtml
    ${SMOKE_KHTML_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_khtml PROPERTIES OUTPUT_NAME "KHTML")
set_target_properties(perl_khtml PROPERTIES PREFIX "")

install(TARGETS perl_khtml DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KHTML/)
