=== debian/changelog ===
perlkde (4:4.14.2-0ubuntu3) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Dec 2015 04:02:11 +0000

perlkde (4:4.14.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libsmokebase3v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 08:47:27 +0200

perlkde (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:47:02 -0700
