=== debian/control ===
Source: perlkde
Section: perl
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,               
               debhelper (>= 9~),
               kdelibs5-dev (>= 4:4.14.2),
               kdepimlibs5-dev,
               libakonadi-dev,
               libattica-dev,
               libgdbm-dev,
               libperl-dev,
               libsmokekde-dev (>= 4:4.14.2),
               okular-dev (>= 4:4.14.2),
               perlqt-dev (>= 4:4.9.2),
               pkg-kde-tools (>= 0.12),
               smoke-dev-tools,
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlkde
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde

Package: libkdecore4-perl
Architecture: any
Depends: libqtcore4-perl, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Perl bindings for the KDE Core library
 This package contains perl bindings for the KDE Core library.
 .
 It enables the use of KDE applications written in perl. For more details
 see the libkdecore5 package.
 .
 This Package is part of the PerlKDE module.

Package: libakonadi-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Akonadi
 This package contains perl bindings for the Akonadi PIM storage service.
 .
 This Package is part of the PerlKDE module.

Package: libsolid-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Solid
 This package contains perl bindings for the Solid device integration
 framework.
 .
 This Package is part of the PerlKDE module.

Package: libknewstuff2-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KNewStuff2
 This package contains perl bindings for the "Get Hot New Stuff" v2 Library.
 .
 This Package is part of the PerlKDE module.

Package: libknewstuff3-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KNewStuff3
 This package contains perl bindings for the "Get Hot New Stuff" v3 Library.
 .
 This Package is part of the PerlKDE module.

Package: libkparts-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the KDE Platform Graphical Components
 This package contains perl bindings for the framework for reusable KDE
 components (kparts).
 .
 This Package is part of the PerlKDE module.

Package: libkio4-perl
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KIO4
 This package contains perl bindings for the Network-enabled File Management
 Library.
 .
 This Package is part of the PerlKDE module.

Package: libkutils-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for various KDE utility classes
 This package contains perl bindings for ksettings, kemoticons, kcm, kprint
 and kplugin utils.
 .
 This Package is part of the PerlKDE module.

Package: libkhtml-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KHTML
 This package contains perl bindings for the KHTML Web Content Rendering
 Engine.
 .
 This Package is part of the PerlKDE module.

Package: libplasma4-perl
Architecture: any
Depends: libkdeui4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Plasma
 This package contains perl bindings for the Plasma library.
 .
 This Package is part of the PerlKDE module.

Package: libktexteditor-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KTextEditor
 This package contains perl bindings for the KTextEditor interfaces.
 .
 This Package is part of the PerlKDE module.

Package: libkdeui4-perl
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}),
         libqtgui4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the KDE Platform User Interface Library
 This package contains perl bindings for the KDE Platform User Interface
 Library which provides standard user interface elements for use in
 KDE Applications.
 .
 This Package is part of the PerlKDE module.

Package: libokular-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Okular
 This package contains perl bindings for the Okular document reader.
 .
 This Package is part of the PerlKDE module.

Package: libattica-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Attica
 This package contains perl bindings for the Attica library, a Qt library that
 implements the Open Collaboration Services API.
 .
 This Package is part of the PerlKDE module.

Package: libkfile-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Kfile library
 This package contains perl bindings for the File Selection Dialog Library for
 the KDE Platform.
 .
 This Package is part of the PerlKDE module.

Package: perlkde-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokekde4-dbg
Suggests: libakonadi-perl (= ${binary:Version}),
          libattica-perl (= ${binary:Version}),
          libkdeui4-perl (= ${binary:Version}),
          libkfile-perl (= ${binary:Version}),
          libkhtml-perl (= ${binary:Version}),
          libkio4-perl (= ${binary:Version}),
          libknewstuff2-perl (= ${binary:Version}),
          libknewstuff3-perl (= ${binary:Version}),
          libkparts-perl (= ${binary:Version}),
          libktexteditor-perl (= ${binary:Version}),
          libkutils-perl (= ${binary:Version}),
          libokular-perl (= ${binary:Version}),
          libplasma4-perl (= ${binary:Version}),
          libsolid-perl (= ${binary:Version})          
Description: Debugging symbols for the KDE Perl bindings.
 This package contains debugging symbols for the perl bindings for the KDE
 libraries.
 .
 This Package is part of the PerlKDE module.
